Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.entitlements
Class PlaceholderEntitlementResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--com.bea.p13n.entitlements.resource.P13nResource
                  |
                  +--com.bea.p13n.entitlements.resource.P13nLibraryResource
                        |
                        +--com.bea.netuix.application.manager.entitlements.PlaceholderEntitlementResource

All Implemented Interfaces:
  Resource, SecurityResource, SelfDescribingResource, Serializable

public class PlaceholderEntitlementResource
extends P13nLibraryResource

This class is used to represent a portal placeholder resource for management and runtime checking of role and security policies.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.entitlements.resource.P13nResource
`empty`

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`PlaceholderEntitlementResource(String entAppName, String webAppName, String appRsrcId, String libRsrcId, String capability)` Construct a resource whose role policies are scoped at a single leaf node, and whose security policies follow the 2 tier desktop/library inheritance scheme.

Method Summary
`static String` | `createAppResourceId(DesktopDefinitionId desktopDefinitionId, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId)`
`static String` | `createLibraryResourceId(PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId)`
`static PlaceholderEntitlementResource` | `createPlaceholderEntitlementResource(DesktopDefinitionId desktopDefinitionId, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId, String capability)`
`static PlaceholderEntitlementResource` | `createPlaceholderUpdateEntitlementResource(DesktopDefinitionId desktopDefinitionId, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId)`

Methods inherited from class com.bea.p13n.entitlements.resource.P13nLibraryResource
`getResourceScope`

Methods inherited from class com.bea.p13n.entitlements.resource.P13nResource
`getCapabilityName, getEntAppName, getKeys, getResourceName, getSecurityResource, getType, getWebAppName, makeParent, setInitialValues, setSecurityResource, toString`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlaceholderEntitlementResource

    public PlaceholderEntitlementResource(String entAppName,
                                          String webAppName,
                                          String appRsrcId,
                                          String libRsrcId,
                                          String capability)

  Construct a resource whose role policies are scoped at a single leaf node, and whose security policies follow the 2 tier desktop/library inheritance scheme.

Parameters:
  `entAppName` - Enterprise application name
  `webAppName` - Webapp name
  `appRsrcId` - Application-defined resource taxonomy Id
  `libRsrcId` - Application-defined library resource taxonomy Id
  `capability` - Optional application-defined capability to evaluate. If no capability name is specified, a policy with no capability name will be used if found.

Method Detail

### createPlaceholderUpdateEntitlementResource

    public static PlaceholderEntitlementResource createPlaceholderUpdateEntitlementResource(DesktopDefinitionId desktopDefinitionId,
                                                                                            PageDefinitionId pageDefinitionId,
                                                                                            PlaceholderDefinitionId placeholderDefinitionId)

### createPlaceholderEntitlementResource

    public static PlaceholderEntitlementResource createPlaceholderEntitlementResource(DesktopDefinitionId desktopDefinitionId,
                                                                                      PageDefinitionId pageDefinitionId,
                                                                                      PlaceholderDefinitionId placeholderDefinitionId,
                                                                                      String capability)

### createLibraryResourceId

    public static String createLibraryResourceId(PageDefinitionId pageDefinitionId,
                                                 PlaceholderDefinitionId placeholderDefinitionId)

### createAppResourceId

    public static String createAppResourceId(DesktopDefinitionId desktopDefinitionId,
                                             PageDefinitionId pageDefinitionId,
                                             PlaceholderDefinitionId placeholderDefinitionId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved